id: d7_taxonomy_term
label: Taxonomy terms
audit: true
migration_tags:
  - Drupal 7
  - Content
deriver: Drupal\taxonomy\Plugin\migrate\D7TaxonomyTermDeriver
source:
  plugin: d7_taxonomy_term
process:
  # If you are using this file to build a custom migration consider removing
  # the tid and revision_id fields to allow incremental migrations.
  tid: tid
  revision_id: tid
  vid:
    plugin: migration_lookup
    migration: d7_taxonomy_vocabulary
    source: vid
  name: name
  'description/value': description
  'description/format': format
  weight: weight
  # Only attempt to stub real (non-zero) parents.
  parent_id:
    -
      plugin: skip_on_empty
      method: process
      source: parent
    -
      plugin: migration_lookup
      migration: d7_taxonomy_term
  parent:
    plugin: default_value
    default_value: 0
    source: '@parent_id'
  changed: timestamp
  langcode: language
destination:
  plugin: entity:taxonomy_term
migration_dependencies:
  required:
    - d7_taxonomy_vocabulary
  optional:
    - d7_field_instance
